/* screen.css -- standard CSS definitions for screen media
 *
 * Copyright (c) martin f. krafft <phd ät martin-krafft.net>
 * Released under the terms of the Creative Commons Attribution-
 * NonCommercial-ShareAlike 2.5 Licence:
 *   http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Part of the source code for the site http://martin-krafft.net/phd/
 */

@import url(base.css);

body {
  background-color: #dee;
  margin: 0;
  padding: 0;
  font-size: 90%;
}

#body {
  margin: 1em auto;
  width: 40em;
  background-color: white;
  color: black;
  border: 0.2em solid #366;
}

#global-links {
  margin: 0 0 0 10em;
  padding-left: 1em;
  list-style: none;
  background-color: white;
  color: #366;
  border-left: none;
}

#global-links li {
  display: inline;
  border-style: solid;
  border-color: #366;
  border-width: 0.2em 1px 1px;
}

#global-links li.current {
  border-top-color: white;
  font-weight: normal;
}

#global-links li a {
  padding: 0 0.4em;
  background-color: white;
  color: #366;
  font-weight: normal;
  text-decoration: none;
}

#global-links li:hover a,
#global-links li:focus a {
  background-color: #dee;
  color: #366;
}

#global-links li.current a {
  background-color: white;
  color: #366;
}

#left {
  width: 10em;
  margin: -1.3em 30em 0 0;
  padding-top: 4em;
  border-right: 1px dotted #dee;
}

#toc {
  border: 0.2em solid #dee;
  margin: 0 0.5em;
}

#toc h1 {
  display: none;
}

#toc ul {
  border: 0.2em solid white;
  margin: 0;
  padding: 0.2em 0.2em 0.2em 1.2em;
  background-color: #dee;
  color: #366;
}

#toc li:hover, #toc li:focus {
  list-style: disc;
}

#left div.stretch {
  clear: right;
}

#toc a {
  text-decoration: none;
  color: #366;
  background-color: #dee;
}

#content {
  float: right;
  padding: 0 1em;
  width: 28em;
  display: inline /* to fix IE's 'margin-doubling' bug */
}

#bottom p {
  /* 70% font size defined in base.css, so multiply lengths by 10/7 */
  margin: 0.5em 1.43em 0 15.71em;
  padding: 0;
}

a, a:visited {
  text-decoration: none;
}

a:hover, a:focus, a:active {
  text-decoration: underline;
}

h1 a:hover, a:focus, a:active,
h2 a:hover, a:focus, a:active,
h3 a:hover, a:focus, a:active,
h4 a:hover, a:focus, a:active,
h5 a:hover, a:focus, a:active,
h6 a:hover, a:focus, a:active {
  text-decoration: none;
}

h1 {
  margin: 0 -0.65em;
  padding: 0 0.5em;
  border-width: 0.15em;
  border-style: double;
  border-color: white;
}

.sidenote {
  position: relative;
  left: 1.5em;
  margin-left: 0;
}

.sidenote p {
  margin: 0;
}

.sidenote .title {
  padding: 0 0.4em;
  position: relative;
  top: -1.2em;
  font-weight: bolder;
  background-color: #dee;
  color: #366;
  display: inline;
  border: 1px dotted #366;
}

.term {
  border-bottom: 1px dotted #366;
  cursor: help;
  color: #366;
  background-color: white;
}

.term:hover,
.term:focus {
  border-bottom: none;
}

* html body .term:hover, * html body .term:focus {
  /* display in IE only */
  font-style: italic; /* forces IE to redraw the line */
}

.term .paren, .term .defn {
  font-size: 100%;
}

.term span {
  display: none;
  font-style: normal;
}

.term span > .term {
  display: inline;
  color: #366;
  background-color: #dee;
}

.term span > .term span {
  display: none !important;
}

.term span > .term:hover .defn,
.term span > .term:focus .defn {
  display: inline !important;
}

.term .defn {
  text-align: left;
  cursor: auto;
}

.term:hover .defn,
.term:focus .defn {
  position: absolute;
  display: inline;
  margin: 1em 0 0 -2em;
  width: 11em;
  padding: 0.625em;
  border: 3px ridge #366;
  background-color: #dee;
  color: black;
}

.term:hover .defn:before,
.term:focus .defn:before {
  content: attr(title) ": ";
  font-weight: bolder;
  cursor: help;
}
